import gtk
import gobject

class MenuView(gtk.Toolbar):

    def __init__(self, *args, **kwargs):
        super(MenuView, self).__init__(*args, **kwargs)

        self.set_orientation(gtk.ORIENTATION_HORIZONTAL)
        self.set_style(gtk.TOOLBAR_BOTH)

        gobject.signal_new( "spawn-connection-dialog",
                            MenuView,
                            gobject.SIGNAL_RUN_FIRST,
                            gobject.TYPE_NONE,
                            ())
        gobject.signal_new( "send-query",
                            MenuView,
                            gobject.SIGNAL_RUN_FIRST,
                            gobject.TYPE_NONE,
                            ())
        gobject.signal_new( "toggle-selection",
                            MenuView,
                            gobject.SIGNAL_RUN_FIRST,
                            gobject.TYPE_NONE,
                            ())
        gobject.signal_new( "download-selection",
                            MenuView,
                            gobject.SIGNAL_RUN_FIRST,
                            gobject.TYPE_NONE,
                            ())


        self.append_item(   "Save Query",
                            "Save Query",
                            "",
                            gtk.image_new_from_stock(gtk.STOCK_FLOPPY, gtk.ICON_SIZE_LARGE_TOOLBAR),#gtk.ICON_SIZE_SMALL_TOOLBAR),
                            None
                            )
        self.append_item(   "Load Query",
                            "Load Query",
                            "",
                            gtk.image_new_from_stock(gtk.STOCK_DIRECTORY, gtk.ICON_SIZE_LARGE_TOOLBAR),#gtk.ICON_SIZE_SMALL_TOOLBAR),
                            None
                            )
        self.append_item(   "Server Settings",
                            "Server Settings",
                            "",
                            gtk.image_new_from_stock(gtk.STOCK_DIALOG_AUTHENTICATION, gtk.ICON_SIZE_LARGE_TOOLBAR),#gtk.ICON_SIZE_SMALL_TOOLBAR),
                            lambda *_: self.emit("spawn-connection-dialog")
                            )
        self.append_item(   "Send Query",
                            "Send Query",
                            "",
                            gtk.image_new_from_stock(gtk.STOCK_YES, gtk.ICON_SIZE_LARGE_TOOLBAR),#gtk.ICON_SIZE_SMALL_TOOLBAR),
                            lambda *_: self.emit("send-query")
                            )
        self.append_item(   "",
                            "",
                            "",
                            gtk.VSeparator(),#gtk.SeparatorToolItem(),
                            None
                            )
        self.append_item(   "Toggle Selection",
                            "Toggle Selection",
                            "",
                            gtk.image_new_from_stock(gtk.STOCK_SELECT_ALL, gtk.ICON_SIZE_LARGE_TOOLBAR),#gtk.ICON_SIZE_SMALL_TOOLBAR),
                            lambda *_: self.emit("toggle-selection")
                            )
        self.append_item(   "Download Selected Items",
                            "Download Selected Items",
                            "",
                            gtk.image_new_from_stock(gtk.STOCK_SAVE, gtk.ICON_SIZE_LARGE_TOOLBAR),#gtk.ICON_SIZE_SMALL_TOOLBAR),
                            lambda *_: self.emit("download-selection")
                            )
